TSPLAY(1)

NAME
tsplay - stream a file

SYNOPSIS
tsplay -help [subject]
tsplay [-details] [-err stdout] [-err stderr] [-quiet | -q] [-verbose | -v] [-loop] [-max max_pkts | -m max_pkts] [-mcastif mcast_if | -i mcast_if] [-tcp | -udp] in_file | -stdin host[:port] | -output out_file | -o out_file | -stdout

DESCRIPTION
Act as a server which plays the given file (containing Transport Stream or Program Stream data). The output is always Transport Stream.

  Input

in_file
    Input is from the named H.222 TS file.

-stdin
    Input is from standard input.

  Output

host[:port]
    Normally, output is to a named host. If port is not specified, it defaults to 88. Output defaults to UDP.

-o out_file, -output out_file
    Output is to file out_file.

-tcp
    Output to the host is via TCP.

-udp
    Output to the host is via UDP. [default]

-stdout
    Output is to standard output. Forces -quiet and -err stderr.

-i mcast_if, -mcastif mcast_if
    If output is via UDP, and host is a multicast address, then mcast_if is the IP address of the network interface to use. This may not be supported on some versions of Windows.

  General Switches

-details
    Print out more detailed help information, including some less common options.

-err stdout
    Write error messages to standard output (the default)

-err stderr
    Write error messages to standard error (Unix traditional)

-v, -verbose
    Output additional diagnostic messages

-q, -quiet
    Suppress informational and warning messages

-help
    Summarise the subjects that can be specified

-help subject
    Show help on a particular subject

-m max_pkts, -max max_pkts
    Maximum number of TS/PS packets to read. See -details for more information.

-loop
    Play the input file repeatedly. Can be combined with -max.

SEE ALSO
tsinfo(1), pcapreport(1)